#include <bits/stdc++.h>
using namespace std;
#define ff first
#define ss second
#define pb push_back
//#define int long long

std::vector<int> solve(std::vector<int> a){
    int n=a.size();
    sort(a.begin(),a.end());
    vector <int> vec;
    for(int i=1;i<n;i+=2){
        vec.pb(i);
    }
    for(int i=0;i<n;i+=2){
        vec.pb(i);
    }
    
    return vec;

}
// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         for (auto ind : solve(a)) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//     }
//     cout << endl ;
//     return 0;
// }
